<xml> </xml>

db4o |

# Configuration.DetectSchemaChanges Method

tuning feature: configures whether db4o checks all persistent classes upon system startup, for added or removed fields.

void DetectSchemaChanges(
bool flag
);

#### Parameters

flag
  the desired setting

#### Remarks

tuning feature: configures whether db4o checks all persistent classes upon system startup, for added or removed fields.
In a production environment this setting can be set to

    false

, if all necessary classes have been stored to the database file and none of them have been modified since the last use.
Default value:

    true

#### See Also

Configuration Interface | com.db4o.config Namespace